Bug 8997 - GPL source in libreplace
GPL source in libreplace
Status: RESOLVED FIXED
Product: Samba 4.0
Classification: Unclassified
Component: Other
unspecified
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
samba4-qa@samba.org
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-13 23:28 UTC by David Disseldorp
Modified: 2013-06-18 07:25 UTC (History)
7 users (show)

See Also:


Attachments
Patch for 3.6 and 4.0 branches, same as is in master (6.28 KB, patch)
2013-06-04 13:41 UTC, David Disseldorp
asn: review+
jra: review+
ddiss: review? (lars)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description David Disseldorp 2012-06-13 23:28:05 UTC
As previously discussed via mail:

libreplace currently includes socket.c and getifaddrs.c both of which
are GPL licensed.
Although not required, talloc and tdb build alongside this source,
leading to some ambiguity regarding their LGPL licences.

The copyright holders are:

lib/replace/getifaddrs.c
   Copyright (C) Andrew Tridgell 1998
   Copyright (C) Jeremy Allison 2007
   Copyright (C) Jelmer Vernooij <jelmer@samba.org> 2007

lib/replace/test/getifaddrs.c
lib/replace/socket.c
 * Copyright (C) Michael Adam <obnox@samba.org> 2008
Comment 1 David Disseldorp 2012-06-13 23:29:21 UTC
I'll check the git blame output for further contributors, as suggested by Simo.
Comment 2 Jelmer Vernooij 2012-09-24 16:55:51 UTC
I'm happy for my code in lib/replace/getifaddrs.c to be relicensed under LGPL.

Jelmer Vernooij
-----BEGIN PGP MESSAGE-----
Version: GnuPG v1.4.11 (GNU/Linux)

owGbwMvMwCRouz5kkdz7oDLGNZlJzGn5+QEJE2Z7qucqZCQWFFQqpOUXKeRWKiTn
p6QqZOYp5GQm6RelFuQkJqfqp6eWZKYlpqQUFeslK5TkKySlKhSl5mQmp+YVp6Yo
lOalpBYp+LgH+OhxcXml5uQCeWGpRXn5+ZlZXB1uLAyCTAxsrEwg2xi4OAVgrrh+
jmEO56vZU+1MX9h775H/1Hf44aO9k5h+MczPN/6+ll3s8vS/GXmKeysjGO/3bpsK
AA==
=fzTY
-----END PGP MESSAGE-----
Comment 3 Andrew Bartlett 2012-11-14 21:49:42 UTC
Jeremy and Tridge, can you indicate here about re-licensing this code please?
Comment 4 Andrew Tridgell 2012-11-14 21:56:04 UTC
(In reply to comment #3)
> Jeremy and Tridge, can you indicate here about re-licensing this code please?

yep, I'm happy for that code to be LGPL

Cheers, Tridge
Comment 5 Jeremy Allison 2012-11-14 22:27:11 UTC
I'm also ok with my code being LGPL.

Jeremy.
Comment 6 David Disseldorp 2013-03-12 11:52:50 UTC
Michael, could you please comment here regarding the re-licensing of:
lib/replace/test/getifaddrs.c
lib/replace/socket.c
Comment 7 David Disseldorp 2013-06-03 10:34:47 UTC
Michael (obnox), still awaiting your ack to proceed with the change.

Matt Kraai (cc'ed) added a type change to lib/replace/getifaddrs.c with a2c95a5d961594f2accbb032cd7e8da9767e2e47. Though I doubt that constitutes anything copyrightable. It'd still be appreciated if Matt could ack the proposed LGPL change.
Comment 8 Michael Adam 2013-06-03 10:39:01 UTC
ACK. I am fine with LGPL for that code.

Cheers - Michael
Comment 9 David Disseldorp 2013-06-04 13:41:03 UTC
Created attachment 8940 [details]
Patch for 3.6 and 4.0 branches, same as is in master
Comment 10 Jeremy Allison 2013-06-04 18:15:55 UTC
Comment on attachment 8940 [details]
Patch for 3.6 and 4.0 branches, same as is in master

LGTM
Comment 11 Jeremy Allison 2013-06-04 18:16:27 UTC
Re-assigning to Karolin for inclusion in 4.0.next and 3.6.next.
Jeremy.
Comment 12 Karolin Seeger 2013-06-14 07:01:49 UTC
Pushed to v3-6-test and autobuild-v4-0-test.
Comment 13 Karolin Seeger 2013-06-18 07:25:48 UTC
Pushed to v4-0-test.
Closing out bug report.

Thanks!